
Figure - Bug #116425
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111069 (New): AF-V3.0--Launcher/SystemUI-小窗模式入口

【AF】【EVT】【小窗模式】打开文件小窗，进入搜索页面，调出键盘->点击全屏按钮（输入法位置不对
）->点击recent中文件的小窗按钮，文件应用崩溃
2023-02-21 17:55 - CD TEST-方永红

Status: CLOSED Start date: 2023-02-21

Priority: High Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: 窗口定制 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0076.X101

Resolution: FIXED Degrated: --

Severity: Major Verified Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101.202302250116

Reproducibility: Frequently Fixed Version:

Test Type: ST Root cause: 产生问题的原因是由于DocumentUI在从recent重新启动时,会走relaunch的流程, 在重新onCreate后,会先执行BaseActivity#onSaveInstanceState流程,然后在执行onCreateOptionsMenu,��在onCreateOptionsMenu会调用mSearchManager.install方法先读取之前存储在onSaveInstanceState里面的数据进行还原,这个时候如果是数据不为null的话,先执行Fragment的dismiss操作,所以就触发了以下报错信息

Description

【前提条件】

1、设备正常启动

【测试步骤】

1、打开文件小窗

2、进入搜索页面

3、调出键盘

4、点击全屏按钮

5、点击recent中文件的小窗按钮

【预期结果】

4、输入法键盘出现在正确位置

5、文件正常进入小窗模式

【实际结果】

4、输入法位置不对、显示不完整

5、未打开小窗，文件应用崩溃

（如果没崩就多重复几次步骤1-5）

【复现率】

2/3

History

#1 - 2023-02-23 14:11 - CD FW-鲁凯峰

■ Current conclusion

问题已经解决

■ My analysis

产生问题的原因是由于DocumentUI在从recent重新启动时,会走relaunch的流程, 在重新onCreate后,会先执行BaseActivity#onSaveInstanceState流程,然后在执

行onCreateOptionsMenu,

在onCreateOptionsMenu会调用mSearchManager.install方法先读取之前存储在onSaveInstanceState里面的数据进行还原,这个时候如果是数据不为null的话,先执

行Fragment的dismiss操作,所以就触发了以下报错信息

2025-07-04 1/2



02-09 15:33:16.564  5266  5266 E AndroidRuntime: java.lang.IllegalStateException: Can not perform this action after onSaveInstanceState

02-09 15:33:16.564  5266  5266 E AndroidRuntime:     at androidx.fragment.app.FragmentManager.checkStateLoss(FragmentManager.java:1864)

解决方法是, 允许Fragment在onSaveInstanceState在执行dismiss操作

■ Submit URL

http://10.0.232.3:3307/gerrit/c/general/platform/packages/apps/DocumentsUI/+/183770

#2 - 2023-02-24 13:42 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

183770 general/platform/packages/apps/Docu

mentsUI

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

lukf0916@thundersoft.com

FW:DucumentsUI:fix crashfix crash when starting mode changedTC-RID: 1201-0300801IssueID: TS-R-BUG-116425Change-Id:

Ib1adcd8d8bdbaf799c1c78d789b8c8cc15f0c1f4

#3 - 2023-02-24 13:43 - CD FW-鲁凯峰

- Status changed from New to RESOLVED

- Assignee changed from CD FW-鲁凯峰 to CD TEST-方永红

- Resolution changed from -- to FIXED

- Root cause set to 产生问题的原因是由于DocumentUI在从recent重新启动时,会走relaunch的流程, 在重新onCreate后,会先执行BaseActivity#onSaveInstanceState

流程,然后在执行onCreateOptionsMenu,

在onCreateOptionsMenu会调用mSearchManager.install方法先读取之前存储在onSaveInstanceState里面的数据进行还原,这个时候如果是数据不为null的话,先执

行Fragment的dismiss操作,所以就触发了以下报错信息

#4 - 2023-02-27 11:06 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101.202302250116

2.27

文件崩溃问题已解决，输入法位置问题依赖客户提供新的输入法

#5 - 2023-02-27 11:06 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

- % Done changed from 0 to 100

Files

Phone-STS40X190078 2023-02-21 17-47-58.mp4 32.5 MB 2023-02-21 CD TEST-方永红
http://10.0.232.3:3307/gerrit/c/general/platform/packages/apps/DocumentsUI/+/183770

